% shaper            - Shaper convolution calculator

function drv = shaper(c, prm);

N = length(prm.impresp);
drv = zeros(N+2*prm.Npb, 1);
drv(1:N) = c(1)*prm.impresp;
drv(prm.Npb+(1:N)) = drv(prm.Npb+(1:N)) + c(2)*prm.impresp;
drv(2*prm.Npb+1:end) = drv(2*prm.Npb+1:end) + c(3)*prm.impresp;
